(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react'], factory) :
  (global = global || self, factory(global['radius-watermelon'] = {}, global.React));
}(this, (function (exports, React) { 'use strict';

  React = React && Object.prototype.hasOwnProperty.call(React, 'default') ? React['default'] : React;

  function styleInject(css, ref) {
    if ( ref === void 0 ) ref = {};
    var insertAt = ref.insertAt;

    if (!css || typeof document === 'undefined') { return; }

    var head = document.head || document.getElementsByTagName('head')[0];
    var style = document.createElement('style');
    style.type = 'text/css';

    if (insertAt === 'top') {
      if (head.firstChild) {
        head.insertBefore(style, head.firstChild);
      } else {
        head.appendChild(style);
      }
    } else {
      head.appendChild(style);
    }

    if (style.styleSheet) {
      style.styleSheet.cssText = css;
    } else {
      style.appendChild(document.createTextNode(css));
    }
  }

  var css_248z = ".box-module_box__B9p1f {\n  box-sizing: \"border-box\";\n  min-width: 0;\n}";
  styleInject(css_248z);

  var css_248z$1 = ".box-module_box__S--QA {\n  box-sizing: \"border-box\";\n  min-width: 0;\n}";
  styleInject(css_248z$1);

  var css_248z$2 = ".button-module_ds-button__cynzi {\n  border-style: none;\n  position: relative;\n  cursor: pointer;\n  display: flex;\n  vertical-align: middle;\n  padding-top: var(--space-2);\n  padding-bottom: var(--space-2);\n  padding-left: var(--space-7);\n  padding-right: var(--space-7);\n  border-radius: var(--border-radius-m);\n}\n.button-module_ds-button--primary__TBI1O {\n  background-color: var(--colour-ui-primary);\n  color: var(--colour-text-inverse);\n}\n.button-module_ds-button--primary__TBI1O svg {\n  color: var(--colour-text-inverse);\n}\n.button-module_ds-button--primary__TBI1O:hover {\n  background-color: var(--colour-brand-primary-main);\n}\n.button-module_ds-button--primary__TBI1O:active, .button-module_ds-button--primary__TBI1O:focus {\n  background-color: var(--colour-brand-primary-dark);\n}\n.button-module_ds-button--primary__TBI1O:disabled {\n  background-color: var(--colour-ui-disabled);\n  color: var(--colour-text-inverse);\n}\n.button-module_ds-button--secondary__BWF1O {\n  background-color: var(--colour-text-inverse);\n  border-color: var(--colour-ui-primary);\n  color: var(--colour-ui-primary);\n}\n.button-module_ds-button--secondary__BWF1O svg {\n  color: var(--colour-ui-primary);\n}\n.button-module_ds-button--secondary__BWF1O:hover {\n  color: var(--colour-text-inverse);\n  background-color: var(--colour-brand-primary-main);\n}\n.button-module_ds-button--secondary__BWF1O:active, .button-module_ds-button--secondary__BWF1O:focus {\n  color: var(--colour-text-inverse);\n  background-color: var(--colour-brand-primary-dark);\n}\n.button-module_ds-button--secondary__BWF1O:disabled {\n  background-color: var(--colour-ui-disabled);\n  color: var(--colour-text-inverse);\n}\n.button-module_ds-button--chevron__8g0Y9 {\n  background-color: transparent;\n  border-color: transparent;\n  color: var(--colour-ui-primary);\n}\n.button-module_ds-button--chevron__8g0Y9 svg {\n  color: var(--colour-ui-primary);\n}\n.button-module_ds-button--chevron__8g0Y9:hover {\n  color: var(--colour-brand-primary-main);\n}\n.button-module_ds-button--chevron__8g0Y9:active, .button-module_ds-button--chevron__8g0Y9:focus {\n  color: var(--colour-brand-primary-dark);\n}\n.button-module_ds-button--chevron__8g0Y9:disabled {\n  color: var(--colour-ui-disabled);\n}\n.button-module_ds-button--icon__Ne61r {\n  background-color: var(--colour-ui-primary);\n  border-color: transparent;\n  color: var(--colour-text-inverse);\n  padding-top: var(--space-3);\n  padding-bottom: var(--space-3);\n  padding-left: var(--space-3);\n  padding-right: var(--space-3);\n}\n.button-module_ds-button--icon__Ne61r svg {\n  color: var(--colour-text-inverse);\n}\n.button-module_ds-button--icon__Ne61r:hover {\n  background-color: var(--colour-brand-primary-main);\n}\n.button-module_ds-button--icon__Ne61r:active, .button-module_ds-button--icon__Ne61r:focus {\n  background-color: var(--colour-brand-primary-dark);\n}\n.button-module_ds-button--icon__Ne61r:disabled {\n  background-color: var(--colour-ui-disabled);\n  color: var(--colour-text-inverse);\n}\n.button-module_ds-button--small__qwoOF {\n  font-size: var(--typography-scale-s);\n  padding-left: var(--space-5);\n  padding-right: var(--space-5);\n}\n.button-module_ds-button--medium__upFwA {\n  font-size: var(--typography-scale-m);\n}\n.button-module_ds-button--large__7qlid {\n  font-size: var(--typography-scale-l);\n  padding-left: var(--space-9);\n  padding-right: var(--space-9);\n}";
  styleInject(css_248z$2);

  var css_248z$3 = ".tag-module_ds-tag__GUiFs {\n  height: fit-content;\n  display: inline-block;\n  padding: var(--space-1) var(--space-2);\n  white-space: nowrap;\n  border-radius: var(--border-radius-m);\n  border-style: solid;\n  border-width: 1px;\n  font-size: 11px;\n  border-color: transparent;\n}\n.tag-module_ds-tag--primary--solid__Z0UPy {\n  background-color: var(--colour-ui-primary);\n  color: var(--colour-text-inverse);\n}\n.tag-module_ds-tag--primary--outline__LtYjN {\n  border-color: var(--colour-ui-primary);\n  color: var(--colour-ui-primary);\n}\n.tag-module_ds-tag--secondary--solid__UqXc- {\n  background-color: var(--colour-brand-primary-main);\n  color: var(--colour-text-inverse);\n}\n.tag-module_ds-tag--secondary--outline__AXo3k {\n  border-color: var(--colour-brand-primary-main);\n  color: var(--colour-brand-primary-main);\n}\n.tag-module_ds-tag--error--solid__qFn4S {\n  background-color: var(--colour-ui-error);\n  color: var(--colour-text-inverse);\n}\n.tag-module_ds-tag--error--outline__LF1nQ {\n  border-color: var(--colour-ui-error);\n  color: var(--colour-ui-error);\n}\n.tag-module_ds-tag--success--solid__u8h59 {\n  background-color: var(--colour-ui-success);\n  color: var(--colour-text-inverse);\n}\n.tag-module_ds-tag--success--outline__4ygdL {\n  border-color: var(--colour-ui-success);\n  color: var(--colour-ui-success);\n}\n.tag-module_ds-tag--alert--solid__yroBa {\n  background-color: var(--colour-ui-alert);\n  color: var(--colour-text-inverse);\n}\n.tag-module_ds-tag--alert--outline__U5XlG {\n  border-color: var(--colour-ui-alert);\n  color: var(--colour-ui-alert);\n}";
  styleInject(css_248z$3);

  function changeTheme(tokens) {
    Object.keys(tokens).forEach(function (token) {
      document.documentElement.style.setProperty(token, tokens[token]);
    });
  }

  exports.changeTheme = changeTheme;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=radius-watermelon.umd.development.js.map
