import React from 'react';
import styles from './box.module.scss';

export type DsBlueBoxProps = {
  children: JSX.Element | string,
};

const DsBlueBox = ({ children }: DsBlueBoxProps) => {
  return <div className={styles.box}>
    <div style={{ backgroundColor: 'blue' }}>
      {children}
    </div>
  </div>;
};

export default DsBlueBox;