import DsBlueBox, { DsBlueBoxProps } from './blueBox';

import React from 'react';
import renderer from 'react-test-renderer';

test('test creation', () => {
  const args: DsBlueBoxProps = {
    children:'Children...'
  };

  const tree = renderer
    .create(<DsBlueBox {...args} />)
    .toJSON();

  if(tree === null || Array.isArray(tree)){
    throw new Error('render didn\'t work correctly');
  }
  expect(tree.type).toBe('div');
});

